Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.util
Class ColorSpaceCache

    java.lang.Object
      org.apache.fop.util.ColorSpaceCache

    public class ColorSpaceCache

extends java.lang.Object

Map with cached ICC based ColorSpace objects.

Constructor Summary
`ColorSpaceCache(InternalResourceResolver resourceResolver)` Default constructor

Method Summary
`java.awt.color.ColorSpace` | `get(java.lang.String profileName, java.lang.String iccProfileSrc, org.apache.xmlgraphics.java2d.color.RenderingIntent renderingIntent)` Create (if needed) and return an ICC ColorSpace instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ColorSpaceCache

    public ColorSpaceCache(InternalResourceResolver resourceResolver)

  Default constructor

  Parameters:
    `resourceResolver` - uri resolver

Method Detail

### get

    public java.awt.color.ColorSpace get(java.lang.String profileName,
                                         java.lang.String iccProfileSrc,
                                         org.apache.xmlgraphics.java2d.color.RenderingIntent renderingIntent)

  Create (if needed) and return an ICC ColorSpace instance. The ICC profile source is taken from the src attribute of the color-profile FO element. If the ICC ColorSpace is not yet in the cache a new one is created and stored in the cache. The FOP URI resolver is used to try and locate the ICC file. If that fails null is returned.

  Parameters:
    `profileName` - the profile name
    `iccProfileSrc` - ICC Profile source to return a ColorSpace
    `renderingIntent` - overriding rendering intent
  Returns:
    ICC ColorSpace object or null if ColorSpace could not be created

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.